﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AAE2023_16
{
    public partial class Form2 : Form
    {
        Button[] buttons = new Button[5];
        public Form2()
        {
            InitializeComponent();
            buttons[0] = button1;
            buttons[1] = button2;
            buttons[2] = button3;
            buttons[3] = button4;
            buttons[4] = button5;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            foreach(Button button in buttons)
            {
                button.Text = "Hello!!!";
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            StringBuilder builder= new StringBuilder();
            foreach(Control c in tableLayoutPanel1.Controls)
            {
                if(c.GetType() == typeof(CheckBox))
                {
                    MessageBox.Show(c.Text);
                    ((CheckBox)c).Checked= true;
                }
                builder.Append(c.Text).Append("\n");
            }
            MessageBox.Show(builder.ToString());
        }

        private void doAToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            foreach(Button b in buttons)
            {
                b.ContextMenuStrip = contextMenuStrip1;
            }
        }

        private void helloToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //MessageBox.Show(sender.GetType().ToString());
            ((ContextMenuStrip)((ToolStripMenuItem)sender).Owner)
                .SourceControl.BackColor = Color.Yellow;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Task hi = Task.Run(() =>
            {
                Thread.Sleep(3000);
                MessageBox.Show("Hi from Task");
            });
            hi.Wait();
            /*Thread.Sleep(3000);
            MessageBox.Show("Hi from Task");*/
        }
    }
}
